## org.mortbay.util
Class UnixCrypt

    java.lang.Object
      |
      +--org.mortbay.util.UnixCrypt

public class UnixCrypt
extends java.lang.Object

Unix Crypt. Implements the one way cryptography used by Unix systems for simple password protection.

Version:
  $Id: UnixCrypt.java,v 1.3 2003/04/24 21:50:28 bretts Exp $
Author:
  Greg Wilkins (gregw)

Method Summary
`static java.lang.String` `crypt(java.lang.String key, java.lang.String setting)` Encrypts String into crypt (Unix) code.
`static void` `main(java.lang.String[] arg)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### crypt

    public static java.lang.String crypt(java.lang.String key,
                                         java.lang.String setting)

  Encrypts String into crypt (Unix) code.

  Parameters:
    `key` - the key to be encrypted
    `setting` - the salt to be used
  Returns:
    the encrypted String

### main

    public static void main(java.lang.String[] arg)

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.